package com.ssj.service.sys.role.service;

import com.ssj.bean.sys.fx.domain.Merchant;
import com.ssj.bean.sys.role.domain.Admin;
import com.ssj.framework.core.common.service.BaseService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.Map;

public interface AdminService extends BaseService<Admin, String> {
	
	  /**
	   * 查询后台管理列表
	   * @param params
	   * @param sp
	   * @return
	   * @throws Exception
	   */
	 public  Page<Admin>  findByPage(Map<String, Object> params, Pageable sp) throws Exception;
	 
	 Page<Map<String,Object>> findByPageMap(Map<String, Object> params, Pageable sp) throws Exception;
	 
	 public boolean validateLoginName(String loginName, String id);
	 /**
	  * 登陆验证
	  * @param loginName
	  * @param password
	  * @return
	  */
	 public Admin longin(String loginName, String password);
	 
	 /**
	  * 判断用户是否登录错误超过次数，true锁定用户
	  * @param loginName
	  * @param clientType
      * @return
	  */
	 public boolean loginLocking(String loginName, String clientType);
	 
	 public Admin getByLoginName(String loginName);
	 
	 public Admin saveFXAdmin(Merchant merchant,String password,String sessionUserName,String province,String city,String area,String schoollist,String ip);
	 
	 
	 
	 
	 
}
